﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}
	}

	public class EditTemplateSelector : DataTemplateSelector
	{
		public DataTemplate DefaultTemplate { get; set; }
		public DataTemplate FlandersTemplate { get; set; }
		public DataTemplate SimpsonsTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item is Family)
			{
				Family family = item as Family;
				if (family.Name == "Simpsons")
				{
					return this.SimpsonsTemplate;
				}
				else
				{
					return this.FlandersTemplate;
				}
			}
			else
			{
				return this.DefaultTemplate;
			}
		}
	}
}
